Subject: bug#68249: 30.0.50; Rmail summaries much slower

From: Richard Stallman <[email-masked]>
Date: Tue, 23 Jan 2024 23:16:13 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > From: Richard Stallman <[email-masked]>
  > > Cc: [email-masked]
  > > Date: Sat, 06 Jan 2024 23:31:45 -0500
  > > 
  > >         1573  54% + command-execute
  > >         1098  38%   Automatic GC
  > >          159   5% + timer-event-handler
  > >           25   0% + ...
  > >           19   0%   redisplay_internal (C function)
  > >            8   0% + rmail-summary-rmail-update
  > > 
  > > I am not sure what that implies, since nothing in a loop
  > > to check messages appears in it.

  > You didn't expand the profile.  All those lines which have a "+"
  > before the function's name are "folded", and you can "unfold" them by
  > going to the line and pressing RET.  "C-u RET" will unfold _all_ such
  > folded lines, and you will see the detailed profile of
  > command-execute, which I think where the problem happens, and where
  > you will find the loop that checks messages (or a function that runs

Thank you.  I just saw this message today.
I found the cause of the problem a few days later, and fixed it.

I will note this down for later.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)